%define name credstore

%define major 0
%define libname %mklibname credstore %major
%define develname %mklibname -d credstore
%define develstaticname %mklibname -d -s credstore

Name:		%name
Summary:	XtreemOS Single Sign On implementation
Version:	0.1.0
Release:	%mkrel 1
Source:		libcredstore-%{version}.tar.bz2
Patch0:		libcredstore-0.1.0-makefile_libdir.patch
Group:		System/Cluster
License:	GPLv2+
BuildRequires:	doxygen zlib-devel
URL:		http://www.xtreemos.eu/
%description
libcredstore is a library that abstracts the concept of the Linux Key
Retention Service, to a more general "credential store" or "credstore".
It can be used, for example, to share a credential between several
applications belonging to the same user or session.

%package -n %libname
Summary:	credstore library
Group:		System/Cluster
%description -n %libname
A credstore allows applications that belong to a user or session to
share temporally a credential. It's used to implement Single Sign On.

%package -n %develname
Summary:	Developement files for %libname
Group:		System/Cluster
Provides:	credstore-devel = %{version}-%{release}
Requires:	%libname = %{version}-%{release}
%description -n %develname
A credstore allows applications that belong to a user or session to
share temporally a credential. It's used to implement Single Sign On.

This package contains the developement files needed to build a program
or library against this library and the documentation.

%package -n %develstaticname
Summary:	Static libraries for %libname
Group:		System/Cluster
Requires:	%develname = %{version}-%{release}
PRovides:	credstore-static-devel = %{version}-%{release}
%description -n %develstaticname
A credstore allows applications that belong to a user or session to
share temporally a credential. It's used to implement Single Sign On.

This package contains the static libraries.

%package -n credstore-utils
Summary:	credstore utilities
Group:		System/Cluster
%description -n credstore-utils
A credstore allows applications that belong to a user or session to
share temporally a credential. It's used to implement Single Sign On.

This package contains utilities to manipulate the credstore (show its
contents, store a new credential, delete a credential, set a timeout...).

%prep
%setup -q -n libcredstore-%{version}
%patch0 -p1

%build
%__make

%install
%{__rm} -Rf %{buildroot}
%__make PREFIX=%{_prefix} LIBDIR=%{_libdir} DESTDIR=%{buildroot} install

%{__rm} -Rf %{buildroot}/usr/share/doc/libcredstore-doc/API/
# fix [#5755] Example credentials included in libcredstore-utils
rm -rf %{buildroot}%{_sysconfdir}/xos/creds

%clean
%{__rm} -Rf %{buildroot}

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr(-,root,root)
%{_libdir}/libcredstore.so.%{major}

%files -n %develname
%defattr(-,root,root)
%doc libcredstore-doc/API
%{_libdir}/libcredstore.so
%{_includedir}/creds_store.h
%{_libdir}/pkgconfig/libcredstore-0.pc


%files -n %develstaticname
%defattr(-,root,root)
%{_libdir}/libcredstore.a

%files -n credstore-utils
%defattr(-,root,root)
%doc copyright
%{_datadir}/locale/es/LC_MESSAGES/xoscredstore.mo
%{_bindir}/xos_credstored
%{_bindir}/xos_dumpcred
%{_bindir}/xos_storecred
%{_bindir}/xos_settimeoutcred
%{_bindir}/xos_currentconfig
%{_bindir}/xos_deletecred

